Bug 23027 - Suggestions.t is failing if no biblio in DB
Summary: Suggestions.t is failing if no biblio in DB
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-31 16:41 UTC by Jonathan Druart
Modified: 2019-06-11 13:48 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 23027: Make Suggestions.t pass even if no biblio in DB (4.40 KB, patch)
2019-05-31 16:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23027: Make Suggestions.t pass even if no biblio in DB (4.44 KB, patch)
2019-06-03 15:56 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 23027: Make Suggestions.t pass even if no biblio in DB (4.50 KB, patch)
2019-06-05 15:40 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jonathan Druart 2019-05-31 16:42:53 UTC
Created attachment 90236 [details] [review]
Bug 23027: Make Suggestions.t pass even if no biblio in DB

There are biblionumbers 1 and 2 hardcoded

Test plan:
MariaDB [koha_kohadev]> delete from biblioitems; delete from items; delete from biblio;
% prove t/db_dependent/Suggestions.t
Must return green with this patch applied
Comment 2 Liz Rea 2019-06-03 15:56:28 UTC
Created attachment 90276 [details] [review]
Bug 23027: Make Suggestions.t pass even if no biblio in DB

There are biblionumbers 1 and 2 hardcoded

Test plan:
MariaDB [koha_kohadev]> delete from biblioitems; delete from items; delete from biblio;
% prove t/db_dependent/Suggestions.t
Must return green with this patch applied

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Josef Moravec 2019-06-05 15:40:18 UTC
Created attachment 90338 [details] [review]
Bug 23027: Make Suggestions.t pass even if no biblio in DB

There are biblionumbers 1 and 2 hardcoded

Test plan:
MariaDB [koha_kohadev]> delete from biblioitems; delete from items; delete from biblio;
% prove t/db_dependent/Suggestions.t
Must return green with this patch applied

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2019-06-05 15:40:47 UTC
Good catch Jonathan
Comment 5 Martin Renvoize 2019-06-06 14:28:00 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-06-11 13:48:33 UTC
Pushed to 19.05.x for 19.05.01